# $Revision: 1.16 $, $Date: 2011/11/09 13:53:47 $
#
# TODO:
#	- real-time GPS tracking is disabled, as it doesn't build with current
#	gpsd-devel. It should be re-enabled after fixed.
#
Summary:	GPS data editor and analyzer
Name:		viking
Version:	1.2.2
Release:	3
License:	GPL v2
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/viking/%{name}-%{version}.tar.gz
# Source0-md5:	460121f135ddc499bb4e51e61fa7fba7
Patch0:		%{name}-opencaching.patch
URL:		http://viking.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	curl-devel
BuildRequires:	docbook-dtd412-xml
BuildRequires:	expat-devel
BuildRequires:	gettext-devel
BuildRequires:	gnome-doc-utils
#BuildRequires:	gpsd-devel
BuildRequires:	gtk+2-devel >= 2.2.0
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	libxml2-progs
BuildRequires:	libxslt-progs
BuildRequires:	perl-XML-Parser
BuildRequires:	pkgconfig
BuildRequires:	rpm-pythonprov
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Viking is a free/open source program to manage GPS data. You can
import and plot tracks and waypoints, show Terraserver maps under it,
add coordinate lines, make new tracks and waypoints, hide different
things, etc. It is written in C with the GTK+ 2.

%prep
%setup -q
%patch0 -p1

# workaround to make automake happy
install -d doc/reference
touch doc/reference/Makefile.in

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-realtime-gps-tracking
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} DESTDIR=$RPM_BUILD_ROOT install iconsdir=%{_pixmapsdir}

# copy before removing Makefiles so --short-circuit -bi will work
rm -rf dist-doc
cp -a doc dist-doc
rm -f dist-doc/Makefile*
rm -f dist-doc/*/Makefile*

%find_lang %{name} --with-gnome --with-omf

%check
make test

%post
%update_desktop_database_post
%update_icon_cache hicolor

%postun
%update_desktop_database_postun
%update_icon_cache hicolor

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog COPYING NEWS README TODO dist-doc/*
%attr(755,root,root) %{_bindir}/viking
%attr(755,root,root) %{_bindir}/viking-remote
%attr(755,root,root) %{_bindir}/vik_ocget
%{_desktopdir}/viking.desktop
%{_pixmapsdir}/viking.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: viking.spec,v $
Revision 1.16  2011/11/09 13:53:47  jajcus
- -opencaching.patch updated (fixes x86_64 compilation and probably x86 crashes)
- Release: 3

Revision 1.15  2011/11/07 13:02:05  jajcus
- disable real-time GPS tracking, our GPSd is too new
- Release: 2

Revision 1.14  2011/11/07 12:04:43  jajcus
- Version: 1.2.2

Revision 1.13  2011/09/27 19:50:18  arekm
- release 4

Revision 1.12  2011/02/04 18:24:07  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.11  2011/01/28 02:53:02  sparky
- BR: docbook-dtd412-xml, libxml2-progs

Revision 1.10  2010/07/09 20:51:47  wiget
- rel. 2

Revision 1.9  2010/06/12 09:08:43  lmasko
- BR: gnome-doc-utils.

Revision 1.8  2010/06/12 08:46:42  jajcus
- Version: 0.9.94
- include the help files
- update icon cache
- do not break build in %install

Revision 1.7  2009/12/04 17:11:49  sparky
- BR: gettext-devel, intltool, rpm-pythonprov
- dropped BR: gettext

Revision 1.6  2009/11/30 21:10:50  wiget
- updated to 0.9.9

Revision 1.5  2009/05/10 15:00:56  jajcus
- Version: 0.9.8

Revision 1.4  2009/01/17 22:01:39  duddits
- up to 0.9.7
- %files updated (icon name)
- %post/%postun macros used

Revision 1.3  2008/07/22 13:13:28  jajcus
- opencaching.pl support added

Revision 1.2  2008/07/22 08:39:44  jajcus
- Version: 0.9.5

Revision 1.1  2008/05/24 19:56:56  jajcus
- new spec

